%define major 8
%define libname %mklibname openvas %{major}
%define develname %mklibname -d openvas

%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1 

Name:           openvas-libraries
Version:        8.0.8
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
Summary:        Support libraries for Open Vulnerability Assessment (OpenVAS) Server
URL:            http://www.openvas.org
Source:         http://wald.intevation.org/frs/download.php/572/%{name}-%{version}.tar.gz
BuildRequires:  libpcap-devel
BuildRequires:  glib2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:  gnutls-devel
BuildRequires:  gpgme-devel
BuildRequires:  libuuid-devel
BuildRequires:  libldap-devel
BuildRequires:  pkgconfig(libssh)
BuildRequires:  hiredis-devel
BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	doxygen

%description
openvas-libraries is the base library for the OpenVAS network security scanner.

%package -n %{libname}
Group:		System/Libraries
Summary:        Support libraries for Open Vulnerability Assessment (OpenVAS) Server

%description -n %{libname}
The support libraries for Open Vulnerability Assessment (OpenVAS) Server.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for openvas-libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openvas-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files (mainly C header files) for openvas-libraries.

%prep
%setup -q

%build
%cmake -DLOCALSTATEDIR:PATH=%{_var} -DBUILD_WITH_LDAP=ON
%make

%install
%make_install -C build

%files
%{_bindir}/openvas-nasl
%{_bindir}/openvas-nasl-lint
%{_mandir}/man1/openvas-nasl.1.*
%{_datadir}/openvas

%files -n %{libname}
%doc ChangeLog CHANGES
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/openvas
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Thu Sep 29 2016 guillomovitch <guillomovitch> 8.0.8-1.mga6
+ Revision: 1057548
- new version 8.0.8

* Mon Jan 11 2016 luigiwalser <luigiwalser> 8.0.5-2.mga6
+ Revision: 921827
- rebuild for gnutls

* Wed Oct 21 2015 guillomovitch <guillomovitch> 8.0.5-1.mga6
+ Revision: 893945
- new version 8.0.5

  + fwang <fwang>
    - disable no-undefined for cyclic dependencies
    - fix linkage
    - drop old switches

* Thu Sep 10 2015 fwang <fwang> 8.0.4-2.mga6
+ Revision: 875466
- rebuild for new libgcrypt

* Mon Jul 27 2015 guillomovitch <guillomovitch> 8.0.4-1.mga6
+ Revision: 858330
- new version 8.0.4

* Tue Jun 23 2015 guillomovitch <guillomovitch> 8.0.3-1.mga6
+ Revision: 840846
- new version 8.0.3

* Sat Mar 07 2015 guillomovitch <guillomovitch> 7.0.9-1.mga5
+ Revision: 818000
- new release 7.0.9

* Thu Feb 05 2015 guillomovitch <guillomovitch> 7.0.7-1.mga5
+ Revision: 813624
- new version 7.0.7

* Wed Dec 03 2014 guillomovitch <guillomovitch> 7.0.6-1.mga5
+ Revision: 800435
- new version 7.0.6

* Sun Nov 09 2014 guillomovitch <guillomovitch> 7.0.5-1.mga5
+ Revision: 796128
- nex version 7.0.5

* Wed Oct 15 2014 umeabot <umeabot> 7.0.4-2.mga5
+ Revision: 745094
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 guillomovitch <guillomovitch> 7.0.4-1.mga5
+ Revision: 737336
- new version 7.0.4

* Tue Sep 16 2014 umeabot <umeabot> 7.0.3-2.mga5
+ Revision: 683256
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 guillomovitch <guillomovitch> 7.0.3-1.mga5
+ Revision: 673237
- new version 7.0.3

* Wed Jun 18 2014 guillomovitch <guillomovitch> 7.0.2-1.mga5
+ Revision: 638050
- new version 7.0.2

* Mon Dec 16 2013 danf <danf> 6.0.0-2.mga4
+ Revision: 557960
- Added bison-parameter.patch to fix build with bison 3

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri May 31 2013 guillomovitch <guillomovitch> 6.0.0-1.mga4
+ Revision: 433760
- new version

* Sun Jan 13 2013 umeabot <umeabot> 5.0.4-2.mga3
+ Revision: 362178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 guillomovitch <guillomovitch> 5.0.4-1.mga3
+ Revision: 336069
- new version

* Tue Oct 16 2012 guillomovitch <guillomovitch> 5.0.3-1.mga3
+ Revision: 307245
- new version

* Fri Dec 09 2011 guillomovitch <guillomovitch> 4.0.6-2.mga2
+ Revision: 179483
- new version
- new version
- spec cleanup

  + fwang <fwang>
    - rebuild for new gnutls

* Tue Feb 01 2011 dmorgan <dmorgan> 3.1.4-1.mga1
+ Revision: 46042
- imported package openvas-libraries

